Bug 109827 - yum --help refuses to run in parallel to other yum
yum --help refuses to run in parallel to other yum
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 00:31 EST by Ralf Corsepius
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-21 17:44:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2003-11-12 00:31:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
yum --help refuses to run in parallel to another active yum.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start one yum whose operation takes some time, eg. run 
yum update openoffice.org
without having openoffice.org previously installed (Using a modem this
takes hours).

2. Start a second terminal, try to invoke yum --help
    

Actual Results:
# yum --help
Existing lock /var/run/yum.pid: another copy is running. Aborting.

IMO, there should not by any reason, why displaying the help text
should require locking the PID-file.


Expected Results:  yum should display its help text.
Comment 1 Seth Vidal 2003-11-12 14:11:55 EST
triage->upstream

Note You need to log in before you can comment on or make changes to this bug.